librabbitmq1_0.5.2-2_amd64.deb


Advertisement

Description

librabbitmq1 - AMQP client library written in C

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: librabbitmq1
Package version: 0.5.2
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 124 B
Download size: 34.76 KB
Official Mirror: ftp.br.debian.org
RabbitMQ provides robust messaging for applications. It is easy to use, fit for purpose at cloud scale and supported on all major operating systems and developer platforms. librabbitmq is a C-language AMQP client library for use with AMQP servers such as RabbitMQ speaking protocol versions 0-9-1. This package includes the library itself.

Alternatives

    Download

    Source package: librabbitmq

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install librabbitmq1 deb package:
      # sudo apt-get install librabbitmq1

    Files

    • /usr/lib/x86_64-linux-gnu/librabbitmq.so.1
    • /usr/lib/x86_64-linux-gnu/librabbitmq.so.1.2.2
    • /usr/share/doc/librabbitmq1/changelog.Debian.gz
    • /usr/share/doc/librabbitmq1/changelog.gz
    • /usr/share/doc/librabbitmq1/copyright

    Changelog

    2014-10-17 - Michael Fladischer <FladischerMichael@fladi.at> librabbitmq (0.5.2-2) unstable; urgency=medium * Add patch to enable SSL for tools (Closes: #764080).

    2014-09-16 - Michael Fladischer <FladischerMichael@fladi.at> librabbitmq (0.5.2-1) unstable; urgency=medium * New upstream release (Closes: #761655). * Add patch and lintian-overrides to remove cmake file already included in cmake-data package (Closes: 760227). * Fix path for m4/ax_python_module.m4 in d/copyright. * Move wildcard section to top in d/copyright to fix lintian checks for superfluous files. * Drop python-simplejson from Build-Depends as there is no rebuild of the AMQP frame definitions. * Wrap Depends lines. * Remove PHONY target declarations.

    2014-08-14 - Michael Fladischer <FladischerMichael@fladi.at> librabbitmq (0.5.1-1) unstable; urgency=low * New upstream release (Closes: #758089). * Remove amqp_get_server_properties patch as it was included upstream.

    2014-08-11 - Brian May <bam@debian.org> librabbitmq (0.5.0-1) unstable; urgency=medium [ Michael Fladischer ] * New upstream release (Closes: #757553). * Update librabbitmq1.symbols. * Drop cmake_multiarch.patch as it has been included upstream. * Add lintian override for missing PGP signature on source tarball. * Make package multi-arch capable. [ Brian May ] * Add missing amqp_get_server_properties symbol. Closes: #757745.

    2013-11-04 - Michael Fladischer <FladischerMichael@fladi.at> librabbitmq (0.4.1-1) unstable; urgency=low * Imported Upstream version 0.4.1 * Add libssl-dev to Build-Depends. * Update librabbitmq1.symbols. * Switch buildsystem to cmake. + Add cmake_multiarch.patch to fix multiarch installation paths for shared library files in cmake. * Add cmake to Build-Depends. * Drop dh-autoreconf from Build-Depends. * Format packaging files with wrap-and-sort. * Update d/watch file to use github releases instead of tags. * Bump Standards version to 3.9.5.

    2013-06-06 - Michael Fladischer <FladischerMichael@fladi.at> librabbitmq (0.3.0-1) unstable; urgency=low * New upstream release. * Set myself as maintainer. * Make package multi-arch. * Update to dh 9. * Force build with autotools. * Bump SONAME to 1 for libmemcached. * Bump Standards version to 3.9.4. * Use github tags in d/watch. * Build manpages from SGML sources. * Add dh-autoreconf to B-D. * Drop get-orig-source target. * Format packaging files with wrap-and-sort. * Update Homepage field. * Update information and format in d/copyright to DEP5.

    2010-11-05 - Monty Taylor <mordred@inaugust.com> librabbitmq (0.0.1.hg216-1) unstable; urgency=low * Initial release. (Closes: #602549)

    Advertisement
    Advertisement